/*
 * BlankObject.h
 *
 *  Created on: 29 Jan 2011
 *      Author: Ashley
 */

#ifndef MYPARTICLE_H_
#define MYPARTICLE_H_

#include "../ARK.h"
#include "Object.h"

//namespace Game { 

	class MyParticle : public Object {
		public:   
			static Image* s_playerGib;

		public:
			unsigned int m_type;
			static const unsigned int TYPE_PLAYER_GIB = 0;

			float m_alpha;
			float m_alphaFadeTimer;
			float m_alphaFadeDuration;

			MyParticle(); 
			void reset();
			void start(unsigned int type);
			virtual void update(GameContainer* container, GameTimer* timer);
			virtual void render(GameContainer* container, Renderer* r);
			virtual void collision(Object* other);
			virtual ~MyParticle();
	};
//}

#endif /* MYPARTICLE_H_ */
