/*
 * Player.h
 *
 *  Created on: 29 Jan 2011
 *      Author: Ashley
 */

#ifndef PLAYER_H_
#define PLAYER_H_

#include "../ARK.h"
#include "Object.h" 

class LineSection;

class Player : public Object { 
	
	public:
		static Image* s_spr;

	public: 
		Image* m_spr;

		bool m_facingLeft;

		float m_rotation;
		float m_rotationSpeed;

		bool m_alive;
		float m_yvelatdeath;

		float m_deathTimer;
		float m_deathDuration;

		LineSection* m_killedBy;

		Player();  
		void reset();
		void die();
		virtual void update(GameContainer* container, GameTimer* timer);
		virtual void render(GameContainer* container, Renderer* r);
		virtual void collision(Object* other);
		float getBackdropSpeedModifier();
		virtual ~Player();
};

#endif /* PLAYER_H_ */
