/*
 * SummaryState.h
 * 08 Jun 2011
 */

#ifndef SUMMARYSTATE_H_
#define SUMMARYSTATE_H_

#include "../ARK.h"

class DefaultGame;

class SummaryState : public GameState {
	public:
		signed int m_selectedIndex;

		static const int MENU_BEGIN = 0;
		static const int MENU_RETRY = 0;
		static const int MENU_EXIT = 1;
		static const int MENU_END = MENU_EXIT;

		float m_introTimer;
		float m_introDuration;

		float m_outroTimer;
		float m_outroDuration;

		SummaryState();
		void enter(GameContainer* container, StateBasedGame* game, GameState* from);
		void leave(GameContainer* container, StateBasedGame* game, GameState* to);

		unsigned int id();
		void init(GameContainer* container, StateBasedGame* game);
		void update(GameContainer* container, StateBasedGame* game, GameTimer* timer);
		void render(GameContainer* container, StateBasedGame* game, Renderer* r);

		virtual ~SummaryState();
};

#endif /* SUMMARYSTATE_H_ */
