/*
 * Explosion.cpp
 *
 *  Created on: 29 Jan 2011
 *      Author: Ashley
 */

#include "Explosion.h"
#include "../DefaultGame.h"
#include "Player.h"
  
Explosion::Explosion(): 
	Object()
	{ 

	DefaultGame* dg = DefaultGame::getInstance(); 

	
	m_bounds = new ARK::Geometry::Rectangle<float>(0, 0, 1, 1);
	
	m_velocity->set(0, 0);  
	m_velocityMax->set(0, 0);  
	m_acceleration->set(0, 0);

}  
  
void Explosion::reset() {  
	
}  
void Explosion::update(GameContainer* container, GameTimer* timer) {

}
void Explosion::collision(Object* other) 
{ 
 
} 
void Explosion::render(GameContainer* container, Renderer* r) 
{ 
	r->setDrawColor(Color::yellow); 
	r->fillRect(m_bounds->getMinX(), m_bounds->getMinY(), m_bounds->getWidth(), m_bounds->getHeight());
}

Explosion::~Explosion() { 
	 
}
