/*
 * GlassShard.h
 *
 *  Created on: Oct 1, 2011
 *      Author: ashleygwinnell
 */

#ifndef GlassShard_H_
#define GlassShard_H_

#include "../ARK.h"
#include "Object.h"

class GlassShard : public Object {
	public:
		ARK::Geometry::Polygon<float>* m_polygon; 
		float m_rotationalVelocity;
 
	public:
		GlassShard();
		void reset();
		virtual void update(GameContainer* container, GameTimer* timer);
		virtual void render(GameContainer* container, Renderer* g);
		virtual string toString();
		virtual void collision(Object* other);
		virtual ~GlassShard();
};

#endif /* GlassShard_H_ */
