/*
 * LineSection.h
 *
 *  Created on: Aug 29, 2012
 *      Author: ashleygwinnell
 */

#ifndef LINESECTION_H_
#define LINESECTION_H_

#include "../ARK.h"
#include "Object.h"

class LineSection : public Object {
	public:
		Line<float>* m_line;
		bool m_smashed;

		static Image* s_endPiece;

		float m_smashSideTimer;
		float m_smashSideDuration;

		float m_moveSpeed;
	
	public:
		LineSection();
		void reset();
		void smash();
		void smashSides();

		virtual void update(GameContainer* container, GameTimer* timer);
		virtual void render(GameContainer* container, Renderer* g);
		virtual void collision(Object* other);
		virtual string toString();
		virtual ~LineSection();
};

#endif /* LINESECTION_H_ */
