/*
 * Pickup.cpp
 *
 *  Created on: 29 Jan 2011
 *      Author: Ashley
 */

#include "Pickup.h"
#include "../DefaultGame.h"
  
#include "Player.h"
#include "Explosion.h"

Pickup::Pickup(): 
	Object()
	{

	DefaultGame* dg = DefaultGame::getInstance(); 

	m_bounds = new ARK::Geometry::Rectangle<float>(0, 0, 30, 30);
	m_bounds->setLocationByCenter(240, -50);
 
	m_velocity->set(0, 0);  
	m_velocityMax->set(0, 0);    
	m_acceleration->set(0, 0); 
 
}   

    
void Pickup::reset() {   

}  

void Pickup::update(GameContainer* container, GameTimer* timer) {

}

void Pickup::collision(Object* other) { 
	DefaultGame* dg = DefaultGame::getInstance();
	InGameState* igs = dg->stateInGame;

	Player* p = NULL;
	p = dynamic_cast<Player*>(other);
	if (p) {

	}  
} 

void Pickup::render(GameContainer* container, Renderer* r) {
	r->setDrawColor(Color::red); 
	r->fillRect(m_bounds->getMinX(), m_bounds->getMinY(), m_bounds->getWidth(), m_bounds->getHeight());
}

Pickup::~Pickup() { 
	 
}
